
TindRPG.Preloader = function (game) {

	this.background = null;
	this.preloadBar = null;

	this.ready = false;

};

TindRPG.Preloader.prototype = {

	preload: function () {
        
        this.game.load.bitmapFont('pencilPete','../assets/pencilPete.png','../assets/pencilPete.xml');
        this.game.load.bitmapFont('fabrica-red','../assets/fabrica-red.png','../assets/fabrica.xml');
        this.game.load.bitmapFont('fabrica-green','../assets/fabrica-green.png','../assets/fabrica.xml');
        this.game.load.bitmapFont('fabrica-white','../assets/fabrica-white.png','../assets/fabrica.xml');
        this.game.load.bitmapFont('fabrica','../assets/fabrica.png','../assets/fabrica.xml');
        
        this.game.load.spritesheet('screen','../assets/screen.png',325,485,5);
        
        this.game.load.image('slime-green','../assets/slime-green.png');
        this.game.load.image('slime-red','../assets/slime-red.png');
        this.game.load.image('slime-blue','../assets/slime-blue.png');
        this.game.load.image('slime-silver','../assets/slime-silver.png');
        
        this.game.load.image('nemesis','../assets/nemesis-startup.png');

	},

	create: function () {

	},

	update: function () {

		//	You don't actually need to do this, but I find it gives a much smoother game experience.
		//	Basically it will wait for our audio file to be decoded before proceeding to the MainMenu.
		//	You can jump right into the menu if you want and still play the music, but you'll have a few
		//	seconds of delay while the mp3 decodes - so if you need your music to be in-sync with your menu
		//	it's best to wait for it to decode here first, then carry on.
		
//		if (this.cache.isSoundDecoded('titleMusic') && this.ready == false)
//		{
//			this.ready = true;
//			this.state.start('MainMenu');
//		}
        
        this.state.start('Game Start');

	}

};