function textSequence(game,spriteList,duration)
{
    var dt = duration / spriteList.length;
    
    var t = 0;
    var count = 0;
    
    var lastTween = undefined;
    
    while (count < spriteList.length)
    {
        spriteList[count].alpha = 0.0;
        var tween =  game.add.tween(spriteList[count]).to({ alpha: 1.0 }, dt);
        if (lastTween != undefined)
        {
            lastTween.chain(tween);
        }
        else
        {
            tween.start();
        }
        lastTween = tween;
        t += dt;
        count ++;
    }
}